## gitlab 8.10.5+dfsg

=== debian/changelog ===
gitlab (8.10.5+dfsg-3) unstable; urgency=high

  * Remove ruby-activerecord-deprecated-finders dependency
    (removed from Gemfile)
  * Setting urgency=high as it helps fix #835749

 -- Pirate Praveen <praveen@debian.org>  Wed, 07 Sep 2016 23:18:08 +0530

gitlab (8.10.5+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Sep 2016 13:17:03 +0530

gitlab (8.10.5+dfsg-1) experimental; urgency=medium

  * New upstream release 
     rouge 2.0 is now compatible (Closes: #830111)
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 31 Aug 2016 19:24:55 +0530

gitlab (8.9.0+dfsg-10) unstable; urgency=medium

  * Relax dependency on rails in Gemfile (Closes: #834907) 

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Aug 2016 11:07:21 +0530
