=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=systemd

override_dh_install:
	dh_install -XLICENSE
	# Make sure we are installing all required files in debian/install
	sh debian/upstream-file-count-check.sh
	rm -rf debian/gitlab/usr/share/gitlab/tmp/*

override_dh_installinit:
	dh_installinit --no-start -p gitlab --name=gitlab-sidekiq
	dh_installinit --no-start -p gitlab --name=gitlab-unicorn
	dh_installinit --no-start -p gitlab --name=gitlab-mailroom
	dh_installinit --no-start -p gitlab --name=gitlab-workhorse
	dh_installinit

override_dh_systemd_start:
	dh_systemd_start --no-start
