## gitlab 8.11.3+dfsg1

=== debian/changelog ===
gitlab (8.11.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Remove ruby-devise-async dependency 

 -- Pirate Praveen <praveen@debian.org>  Fri, 16 Sep 2016 12:44:05 +0530
