=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc
+Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc, node-uglify
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
@@ -35,13 +35,13 @@
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-responders (>= 2.0~),
- ruby-sprockets (>= 3.3.0~),
+ ruby-sprockets (>= 3.6~),
+ ruby-sprockets-es6,
  ruby-default-value-for (>= 3~),
 #ruby-mysql2 | ruby-pg,
  ruby-pg (>= 0.18.4~),
 # Authentication libraries
- ruby-devise (>= 4.0~),
- ruby-devise-async (>= 0.9~),
+ ruby-devise (>= 4.1.1-4~),
  ruby-doorkeeper (>= 4.0~),
  ruby-omniauth (>= 1.3.1~),
  ruby-omniauth-auth0 (>= 1.4.1~),
@@ -69,7 +69,7 @@
 # Browser detection
  ruby-browser (>= 2.2~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 10.3.2~),
+ ruby-gitlab-git (>= 10.4.7~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
@@ -84,7 +84,7 @@
 # Pagination
  ruby-kaminari (>= 0.17~),
 # HAML
- ruby-hamlit,
+ ruby-hamlit (>= 2.7~),
 # Files attachments
  ruby-carrierwave (>= 0.9~),
 # Drag and Drop UI
@@ -109,7 +109,7 @@
  ruby-task-list (>= 1.0.2~),
  ruby-github-markup (>= 1.3.1~),
  ruby-redcarpet (>= 3.3.4~),
- ruby-redcloth (>= 4.2.9-5~),
+ ruby-redcloth (>= 4.3.2~),
  ruby-org (>= 0.9.12-2~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
@@ -139,7 +139,7 @@
 # GitLab settings
  ruby-settingslogic (>= 2.0.9~),
 # Misc
- ruby-version-sorter (>= 2.0.0~),
+ ruby-version-sorter (>= 2.1~),
 # Cache
  ruby-redis-rails (>= 4.0.0~),
 # Campfire integration
@@ -172,12 +172,13 @@
 # Protect against bruteforcing
  ruby-rack-attack (>= 4.3.1~),
 # Ace editor
- ruby-ace-rails-ap (>= 4.0.2~),
+ ruby-ace-rails-ap (>= 4.1~),
 # Keyboard shortcuts
  ruby-mousetrap-rails (>= 1.4.6~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.3~),
-# Parse duration
+# Parse time & duration
+ ruby-chronic (>= 0.10.2-3~),
  ruby-chronic-duration,
  ruby-sass-rails (>= 5.0.0~),
  ruby-coffee-rails (>= 4.1.0~),
@@ -189,7 +190,7 @@
  ruby-bootstrap-sass (>= 3.3.0~),
  ruby-font-awesome-rails (>= 4.6.1~),
  ruby-gemojione (>= 3.0~),
- ruby-gon (>= 6.0.1~),
+ ruby-gon (>= 6.1~),
  ruby-jquery-atwho-rails (>= 1.3.2~),
  ruby-jquery-rails (>= 4.0.0~),
  ruby-jquery-scrollto-rails (>= 1.4.3~),
@@ -213,6 +214,7 @@
  ruby-octokit (>= 4.3.0~),
  ruby-mail-room (>= 0.8~),
  ruby-email-reply-parser (>= 0.5.8~),
+ ruby-prof,
 ## CI
  ruby-activerecord-session-store (>= 1.0~),
  ruby-nested-form (>= 0.3.2-2~),
