=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 override_dh_install:
 	dh_install -XLICENSE
+	uglifyjs -o debian/gitlab/usr/share/gitlab/vendor/assets/javascripts/vue.min.js vendor/assets/javascripts/vue.full.js
+	uglifyjs -o debian/gitlab/usr/share/gitlab/vendor/assets/javascripts/vue-resource.min.js vendor/assets/javascripts/vue-resource.full.js
 	# Make sure we are installing all required files in debian/install
 	sh debian/upstream-file-count-check.sh
 	rm -rf debian/gitlab/usr/share/gitlab/tmp/*
