## gitlab 8.13.6+dfsg1

=== debian/changelog ===
gitlab (8.13.6+dfsg1-3) unstable; urgency=medium

  * Fix autopkgtest with upstream patch (Closes: #845656)

 -- Pirate Praveen <praveen@debian.org>  Mon, 28 Nov 2016 23:52:13 +0530

gitlab (8.13.6+dfsg1-2) unstable; urgency=medium

  * Replace embedded copy of fuzzaldrin-plus with libjs-fuzzaldrin-plus
    (Closes: #814871)

 -- Pirate Praveen <praveen@debian.org>  Fri, 25 Nov 2016 22:05:14 +0530

gitlab (8.13.6+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #845180)
  * Replace embedded copy of fuzzaldrin-plus with libjs-fuzzaldrin-plus

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 Nov 2016 15:29:27 +0530

gitlab (8.13.3+dfsg1-2) unstable; urgency=medium

  * Reupload to unstable (Closes: #843519)

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 Nov 2016 10:56:31 +0530

gitlab (8.13.3+dfsg1-1) experimental; urgency=medium

  * New upstream release (Fixes: CVE-2016-9086)
  * Refresh patches
  * Add dependency on lsb-base

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Nov 2016 16:23:49 +0530

gitlab (8.12.3+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #838256)
  * Use spec.rake and spec.pattern to select tests
  * Use INCLUDE_TEST_DEPENDS variable in Gemfile to select test dependencies
    (--without does not work with --local in bundle install)
  * Move /usr/share/gitlab/.bundle to /var/lib/gitlab
  * Create db/schema.rb only in postinst (Closes: #838668)

  [ Dmitry Smirnov ]
  * Fix failure to start masked gitlab.service after reinstall

 -- Pirate Praveen <praveen@debian.org>  Sat, 01 Oct 2016 15:23:17 +0530

gitlab (8.11.3+dfsg1-3) unstable; urgency=medium

  * Run some of gitlab provided tests as autopkgtests 

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Sep 2016 21:41:51 +0530

gitlab (8.11.3+dfsg1-2) unstable; urgency=medium

  * Use config/initializers/secret_token.rb to create secrets.yml
    (backup your secrets.yml if you are upgrading) 

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Sep 2016 14:53:04 +0530
