## gitlab 8.13.6+dfsg2

=== debian/changelog ===
gitlab (8.13.6+dfsg2-2) unstable; urgency=medium

  * Add patch cve-2016-9469.diff (Fixes: CVE-2016-9469) (Closes: #847157)
  * Use ruby-jquery-ui-rails 6 (Closes: #847337)
  * Enable more tests
  * Use -C for specifing sidekiq queues, Thanks to Justin F. Hallett
    (Closes: #847114)
  * Add dpkg trigger to refresh Gemfile.lock if a dependency is changed
    (Closes: #847420)

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Dec 2016 22:06:59 +0530

gitlab (8.13.6+dfsg2-1) unstable; urgency=medium

  * Run tests with RAILS_ENV=test
  * Relax dependency on ruby-grape-entity
  * Remove tasks related to linting from orig.tar 

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Nov 2016 16:15:29 +0530
