=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+ lsb-base (>= 3.0-6),
  git (>= 1:2.7.3~),
  rake,
  bundler,
@@ -29,31 +30,31 @@
  postfix | exim4 | mail-transport-agent,
  openssh-client,
  ucf,
- gitlab-shell (>= 3.2.1~),
- gitlab-workhorse (>= 0.7.2~),
+ gitlab-shell (>= 3.6.6~),
+ gitlab-workhorse (>= 0.8.5~),
  ruby-rails (>= 2:4.2.7~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-responders (>= 2.0~),
  ruby-sprockets (>= 3.6~),
- ruby-sprockets-es6,
+ ruby-sprockets-es6 (>= 0.9.2~),
  ruby-default-value-for (>= 3~),
 #ruby-mysql2 | ruby-pg,
  ruby-pg (>= 0.18.4~),
 # Authentication libraries
- ruby-devise (>= 4.1.1-4~),
+ ruby-devise (>= 4.2~),
  ruby-doorkeeper (>= 4.0~),
  ruby-omniauth (>= 1.3.1~),
  ruby-omniauth-auth0 (>= 1.4.1~),
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
- ruby-omniauth-facebook (>= 3.0.0~),
+ ruby-omniauth-facebook (>= 4.0~),
  ruby-omniauth-github (>= 1.1.1~),
- ruby-omniauth-gitlab (>= 1.0.0~),
+ ruby-omniauth-gitlab (>= 1.0.2~),
  ruby-omniauth-google-oauth2 (>= 0.4.1~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
- ruby-omniauth-saml (>= 1.6.0~),
+ ruby-omniauth-saml (>= 1.7.0~),
  ruby-omniauth-shibboleth (>= 1.2.0~),
  ruby-omniauth-twitter (>= 1.2.0~),
  ruby-omniauth-crowd (>= 2.2.0~),
@@ -69,17 +70,17 @@
 # Browser detection
  ruby-browser (>= 2.2~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 10.4.7~),
+ ruby-gitlab-git (>= 10.7~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
 # Git Wiki
- ruby-gollum-lib (>= 4.2.1~),
+ ruby-gollum-lib (>= 4.2.1+debian~),
 # Language detection
  ruby-github-linguist (>= 4.7.0~),
 # API
  ruby-grape (>= 0.16.2-2~),
- ruby-grape-entity (>= 0.5~),
+ ruby-grape-entity (>= 0.6~),
  ruby-rack-cors (>= 0.4.0~),
 # Pagination
  ruby-kaminari (>= 0.17~),
@@ -106,30 +107,31 @@
 # Markdown and HTML processing
  ruby-htmlentities (>= 4.3.3~),
  ruby-html-pipeline (>= 1.11.0),
- ruby-task-list (>= 1.0.2~),
- ruby-github-markup (>= 1.3.1~),
+ ruby-task-list (>= 1.0.5~),
+ ruby-github-markup (>= 1.5~),
  ruby-redcarpet (>= 3.3.4~),
- ruby-redcloth (>= 4.3.2~),
+ ruby-redcloth (>= 4.3.2-2~),
  ruby-org (>= 0.9.12-2~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
  asciidoctor (>= 1.5.2~),
  ruby-rouge (>= 2.0~),
+ ruby-truncato,
  ruby-nokogiri (>= 1.6.7.2~),
 # Diffs
  ruby-diffy (>= 3.0.3~),
 # Application server
- unicorn (>= 5.0.1~),
+ unicorn (>= 5.1~),
    ruby-unicorn-worker-killer (>= 0.4.4~),
 # State machine
  ruby-state-machines-activerecord (>= 0.4.0~),
 # Run events after state machine commits
  ruby-after-commit-queue,
 # Issue tags
- ruby-acts-as-taggable-on (>= 3.4~),
+ ruby-acts-as-taggable-on (>= 4.0~),
 # Background jobs
  ruby-sinatra (>= 1.4.7-4~),
- ruby-sidekiq (>= 4.0~),
+ ruby-sidekiq (>= 4.2~),
  ruby-sidekiq-cron (>= 0.4.0~),
  ruby-redis-namespace,
 # HTTP requests
@@ -168,7 +170,7 @@
 # Sanitizes SVG input
  ruby-loofah (>= 2.0.3~),
 # Working with license
- ruby-licensee (>= 8.0.0~),
+ ruby-licensee (>= 8.0.0-2~),
 # Protect against bruteforcing
  ruby-rack-attack (>= 4.3.1~),
 # Ace editor
@@ -177,10 +179,12 @@
  ruby-mousetrap-rails (>= 1.4.6~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.3~),
+# Faster JSON
+ ruby-oj (>= 2.17.4),
 # Parse time & duration
  ruby-chronic (>= 0.10.2-3~),
  ruby-chronic-duration,
- ruby-sass-rails (>= 5.0.0~),
+ ruby-sass-rails (>= 5.0.6~),
  ruby-coffee-rails (>= 4.1.0~),
  ruby-coffee-script-source (>= 1.10.0~),
  ruby-uglifier (>= 2.7.2~),
@@ -192,9 +196,9 @@
  ruby-gemojione (>= 3.0~),
  ruby-gon (>= 6.1~),
  ruby-jquery-atwho-rails (>= 1.3.2~),
- ruby-jquery-rails (>= 4.0.0~),
+ ruby-jquery-rails (>= 4.1~),
  ruby-jquery-scrollto-rails (>= 1.4.3~),
- ruby-jquery-ui-rails (>= 5.0.0~),
+ ruby-jquery-ui-rails (>= 6.0~),
  ruby-nprogress-rails (>= 0.1.6.7~),
  ruby-raphael-rails (>= 2.1.2~),
  ruby-request-store (>= 1.3~),
@@ -207,14 +211,14 @@
  ruby-method-source (>= 0.8.2-2~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
- ruby-sentry-raven (>= 1.1~),
+ ruby-sentry-raven (>= 2.0~),
  ruby-premailer-rails,
-#   ruby-actionmailer,
-        ruby-mail (>= 2.5.4~),
+# ruby-actionmailer,
+ ruby-mail (>= 2.5.4~),
  ruby-octokit (>= 4.3.0~),
- ruby-mail-room (>= 0.8~),
+ ruby-mail-room (>= 0.8.1~),
  ruby-email-reply-parser (>= 0.5.8~),
- ruby-prof,
+ ruby-prof (>= 0.16.2~),
 ## CI
  ruby-activerecord-session-store (>= 1.0~),
  ruby-nested-form (>= 0.3.2-2~),
@@ -234,6 +238,7 @@
  libjs-clipboard,
  libjs-chartjs,
  libjs-graphael,
+ libjs-fuzzaldrin-plus (>= 0.3.1+git.20161008.da2cb58+dfsg-4~)
 Recommends: certbot
 Description: git powered software platform to collaborate on code
  gitlab provides web based interface to host source code and track issues.
