=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=3
 opts=\
-repacksuffix=+dfsg1,\
+repacksuffix=+dfsg2,\
 repack,compression=xz,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
 filenamemangle=s/.*=v(.*)/gitlab-$1.tar.gz/,\
