## gitlab 8.13.11+dfsg

=== debian/changelog ===
gitlab (8.13.11+dfsg-8) unstable; urgency=medium

  * Don't fail if gitlab-debian.defaults not found (to support upgrading
    from older versions)
  * Be more defensive in rm -rf

 -- Pirate Praveen <praveen@debian.org>  Thu, 23 Mar 2017 17:16:50 +0530

gitlab (8.13.11+dfsg-7) unstable; urgency=medium

  [ Balasankar C ]
  * Add patch cve-2017-0882.patch (Fixes: CVE-2017-0882)

  [ Pirate Praveen ]
  * Move gitlab_log_dir variable to /etc (needed got gitlab-unicorn service)

 -- Pirate Praveen <praveen@debian.org>  Tue, 21 Mar 2017 18:28:43 +0530

gitlab (8.13.11+dfsg-6) unstable; urgency=medium

  * Improve configuration file parsing by using source (Closes: #857967) 

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 Mar 2017 22:29:40 +0530

gitlab (8.13.11+dfsg-5) unstable; urgency=medium

  * Move variables used only in maintainer scripts to /usr/lib from /etc
    (Closes: #856606)
  * Use command -v to check existence of dropdb command in postrm

 -- Pirate Praveen <praveen@debian.org>  Tue, 14 Mar 2017 17:21:21 +0530

gitlab (8.13.11+dfsg-4) unstable; urgency=medium

  [ Balasankar C ]
  * Update description to specify that the package is non-omnibus, unlike the
    official one from GitLab.
  * Remove database on purge only if necessary commands are available
    (Closes: #855579)

  [ Pirate Praveen ]
  * Use /usr/lib/gitlab/templates for config file templates used in postinst
    (See 854658#34)
  * Add more checks in postrm to avoid failures which can be ignored

 -- Balasankar C <balasankarc@autistici.org>  Fri, 24 Feb 2017 17:06:52 +0530

gitlab (8.13.11+dfsg-3) unstable; urgency=medium

  * Allow choosing gitlab user (Closes: #854617)
  * Optionally remove all data on purge (Closes: #821087, #839929)

  [ Johannes Schauer ]
  * Amend the README.Debian with instructions of how to upgrade from
    non-Debian installations (Closes: #823743)

 -- Pirate Praveen <praveen@debian.org>  Thu, 16 Feb 2017 17:35:29 +0530

gitlab (8.13.11+dfsg-2) unstable; urgency=medium

  * Use upstream patch for git 2.11 support (Closes: #853251)
  * Set minimum version of gitlab-shell to 3.6.6-3
    (required for git 2.11 support) 

 -- Pirate Praveen <praveen@debian.org>  Tue, 07 Feb 2017 11:24:36 +0530

gitlab (8.13.11+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove WoSign from suggested free SSL providers (they stopped providing
    free SSL certificates from September 2016) 
  * Backport git 2.11 support (Closes: #851714)

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jan 2017 13:21:17 +0530
