=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
- Pirate Praveen <praveen@debian.org>
+ Pirate Praveen <praveen@debian.org>,
+ Balasankar C <balasankarc@autistici.org>
 Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc, node-uglify
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
@@ -30,7 +31,7 @@
  postfix | exim4 | mail-transport-agent,
  openssh-client,
  ucf,
- gitlab-shell (>= 3.6.6~),
+ gitlab-shell (>= 3.6.6-4~),
  gitlab-workhorse (>= 0.8.5~),
  ruby-rails (>= 2:4.2.7~),
  ruby-rails (<< 2:5),
@@ -108,7 +109,7 @@
  ruby-htmlentities (>= 4.3.3~),
  ruby-html-pipeline (>= 1.11.0),
  ruby-task-list (>= 1.0.5~),
- ruby-github-markup (>= 1.5~),
+ ruby-github-markup (>= 1.5.1~),
  ruby-redcarpet (>= 3.3.4~),
  ruby-redcloth (>= 4.3.2-2~),
  ruby-org (>= 0.9.12-2~),
@@ -188,7 +189,7 @@
  ruby-coffee-rails (>= 4.1.0~),
  ruby-coffee-script-source (>= 1.10.0~),
  ruby-uglifier (>= 2.7.2~),
- ruby-turbolinks (>= 2.5.0~),
+ ruby-turbolinks (>= 2.5.3-3~),
  ruby-jquery-turbolinks (>= 2.1.0~),
  ruby-addressable (>= 2.3.8~),
  ruby-bootstrap-sass (>= 3.3.0~),
@@ -240,8 +241,11 @@
  libjs-graphael,
  libjs-fuzzaldrin-plus (>= 0.3.1+git.20161008.da2cb58+dfsg-4~)
 Recommends: certbot
-Description: git powered software platform to collaborate on code
+Description: git powered software platform to collaborate on code (non-omnibus)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
  is possible using merge request workflow. Using groups and roles project 
  access can be controlled.
+ .
+ Unlike the official package from GitLab Inc., this package does not use
+ omnibus.
