## gitlab 8.13.11+dfsg1

=== debian/changelog ===
gitlab (8.13.11+dfsg1-8+deb9u2) stretch-security; urgency=medium

  * Fixes CVE-2018-8971 (Closes: #893905)
  * Fixes CVE-2017-0920 (Closes: #888508)

 -- Pirate Praveen <praveen@debian.org>  Tue, 27 Mar 2018 14:38:53 +0530

gitlab (8.13.11+dfsg1-8+deb9u1) stretch-security; urgency=high

  * Fixes multiple security vulnerabilities (backported from 10.3.4 release)
    CVE-2017-0916, CVE-2017-0918, CVE-2017-0925, CVE-2017-0926, CVE-2017-3710

 -- Pirate Praveen <praveen@debian.org>  Thu, 15 Mar 2018 11:49:26 +0530

gitlab (8.13.11+dfsg1-8) unstable; urgency=medium

  * Export all variables declared in gitlab-debian.conf from
    /etc/default/gitlab (Closes: #863950) Thanks to yyoshino

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Jun 2017 22:00:03 +0530

gitlab (8.13.11+dfsg1-7) unstable; urgency=medium

  * Correctly bind dbconfig-common configuration file to gitlab package
    (and not to $gitlab_user) in debian/config
  * Revert change in debian/postinst from previous upload which incorrectly
    binds dbconfig-common configuration file to $gitlab_user package

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 May 2017 10:12:55 +0530

gitlab (8.13.11+dfsg1-6) unstable; urgency=medium

  * Remove hard coded gitlab user in postinst (Closes: #862329)
  * Remove dbconfig-common config files on purge

 -- Pirate Praveen <praveen@debian.org>  Thu, 11 May 2017 22:29:06 +0530

gitlab (8.13.11+dfsg1-5) unstable; urgency=medium

  * Fix letsencrypt email handling in config
  * Minor update in postrm output

 -- Pirate Praveen <praveen@debian.org>  Thu, 27 Apr 2017 11:23:43 +0530

gitlab (8.13.11+dfsg1-4) unstable; urgency=medium

  * Check if gitlab_data_dir is defined before using it
  * Ask email address for letsencrypt updates 

 -- Pirate Praveen <praveen@debian.org>  Wed, 26 Apr 2017 21:12:25 +0530

gitlab (8.13.11+dfsg1-3) unstable; urgency=medium

  * Quote variable in test -n (Thanks to Benjamin Drung)

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Apr 2017 16:02:25 +0530

gitlab (8.13.11+dfsg1-2) unstable; urgency=medium

  * Integrate dbconfig-common (Closes: #859200)
  * Don't set default gitlab user in postinst
  * Change template name from purge to purge_data
  * Switch to runuser from su (runuser correctly handles PAM sessions)

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Apr 2017 13:16:43 +0530

gitlab (8.13.11+dfsg1-1) unstable; urgency=medium

  [ Balasankar C ]
  * Repack source to remove fuzzaldrin-plus.js (Closes: #858725)

  [ Pirate Praveen ]
  * debian/postrm: Make checks idempotent (use if in place of &&)
  * debian/postrm: Check variables are defined before using them
  * debian/config: pre-seed variables to debconf db from config files
  * debian/postinst:
     - make sure all required variables are present in the config file
     - handle reconfiguration correctly by reapplying variables from debconf db
       to config files
     - Don't touch systemd override.conf if already exist

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Apr 2017 11:47:49 +0530
