=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	# Make sure we are installing all required files in debian/install
 	sh debian/upstream-file-count-check.sh
 	rm -rf debian/gitlab/usr/share/gitlab/tmp/*
+	mv debian/gitlab/var/lib/gitlab/db/schema.rb debian/gitlab/var/lib/gitlab/db/schema.rb.template
 
 override_dh_installinit:
 	dh_installinit --no-start -p gitlab --name=gitlab-sidekiq
