## gitlab 11.4.9+dfsg

=== debian/changelog ===
gitlab (11.4.9+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 18:42:44 +0530

gitlab (11.4.9+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 12:49:53 +0530

gitlab (11.4.9+dfsg-1) experimental; urgency=medium

  * New upstream version 11.4.9+dfsg
  * Refresh patches
  * Update dependencies
  * Remove gitlab-markup dependency (replaced by github-markup)

 -- Pirate Praveen <praveen@debian.org>  Thu, 06 Dec 2018 13:21:50 +0530

gitlab (11.3.11+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 19:14:56 +0530

gitlab (11.3.11+dfsg-1) unstable; urgency=high

  * New upstream security release 11.3.11+dfsg (Fixes: CVE-2018-19493,
    CVE-2018-19494, CVE-2018-19495, CVE-2018-19496, CVE-2018-19569,
    CVE-2018-19570, CVE-2018-19571, CVE-2018-19572, CVE-2018-19573,
    CVE-2018-19574, CVE-2018-19575, CVE-2018-19576, CVE-2018-19577,
    CVE-2018-19580, CVE-2018-19583, CVE-2018-19585)

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Nov 2018 21:57:18 +0530

gitlab (11.3.10+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Nov 2018 20:44:42 +0530

gitlab (11.3.10+dfsg-1) experimental; urgency=medium

  * New upstream version 11.3.10+dfsg (Closes: #914166) (Fixes: CVE-2018-19359)
  * Relax ruby-js-regex version
  * Tighten dependencies (update minimum versions)

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:49:29 +0530

gitlab (11.2.8+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Dec 2018 19:22:32 +0530

gitlab (11.2.8+dfsg-2) unstable; urgency=medium

  * Add gitlab-rake as a command (Closes: #814506)
  * Revert to using github-linguist 5

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 10:46:03 +0530

gitlab (11.2.8+dfsg-1) experimental; urgency=medium

  * New upstream version 11.2.8+dfsg
    (Fixes: CVE-2018-18646, CVE-2018-18645, CVE-2018-18641, CVE-2018-18640)

 -- Pirate Praveen <praveen@debian.org>  Sun, 18 Nov 2018 18:42:27 +0530

gitlab (11.1.8+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Relax rdoc dependency to >= 4.2
  * Tighten dependency on ruby-octokit
  * Set minimum version of ruby-sass to 3.5

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Dec 2018 20:42:47 +0530

gitlab (11.1.8+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Add CVEs fixed in 11.1.6 release (Fixes: CVE-2018-16049, CVE-2018-16050,
    CVE-2018-16051, Missing CSRF in System Hooks, Persistent XSS in Pipeline
    Tooltip)

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Nov 2018 12:56:07 +0530

gitlab (11.1.8+dfsg-1) experimental; urgency=medium

  * New upstream version 11.1.8+dfsg
    (Fixes: CVE-2018-17450, CVE-2018-17454, CVE-2018-15472, CVE-2018-17449,
    CVE-2018-17452, CVE-2018-17451, CVE-2018-17453, CVE-2018-17455,
    CVE-2018-17537, CVE-2018-17536)

 -- Pirate Praveen <praveen@debian.org>  Fri, 16 Nov 2018 16:45:36 +0530

gitlab (10.8.7+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 30 Oct 2018 23:15:56 +0530

gitlab (10.8.7+dfsg-1) unstable; urgency=medium

  * New upstream version 10.8.7+dfsg
    (Fixes: CVE-2018-14602, CVE-2018-14603, CVE-2018-14604, CVE-2018-14605,
    CVE-2018-14606)
  * Refresh and rename patches (to make numbering consistent)
  * Add dependency on bzip2 (Closes: #910058)
  * Add ruby-device-detector as new dependency and tighten dependency versions
  * Remove chmod/chown -R usage in postinst

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Oct 2018 15:55:10 +0530

gitlab (10.7.7+dfsg-3) unstable; urgency=medium

  * Give gitlab_user ownership of gitlab_data_dir after creating user
    (Closes: #910929)
  * Relax default_value_for, dropzonejs-rails, net-ssh in Gemfile
  * Remove .eslintrc from binary package
  * Add ruby-ed25519 and remove ruby-rbnacl
  * Remove chown -R commands from postinst

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Oct 2018 22:29:59 +0530

gitlab (10.7.7+dfsg-2) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * Relax recaptcha version (Closes: #907488)

  [ Pirate Praveen ]
  * Reupload to unstable (required protobuf and grpc is now in unstable)
  * Bump dependency on gitaly (for user management via gitlab-common)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Oct 2018 00:11:14 +0530
>>>>>>> master

gitlab (10.7.7+dfsg-1) experimental; urgency=medium

  * New upstream version 10.7.7+dfsg (Fixes: CVE-2018-14364) (Closes: #904026)
  * Bump Standards-Version to 4.2.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Mon, 20 Aug 2018 21:38:35 +0530

gitlab (10.7.6+dfsg-2) experimental; urgency=medium

  * Support html-sanitizer >= 2.7.1 (see upstream issue 48415)

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Jun 2018 16:51:41 +0530

gitlab (10.7.6+dfsg-1) experimental; urgency=medium

  * New upstream version 10.7.6+dfsg
  * Refresh patches
  * Move common dependencies to gitlab-common
  * Don't remove gitlab_data_dir in purge
  * Support upgrading from 8.13 to 10.x (Upstream issue 48040)

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Jun 2018 16:14:20 +0530

gitlab (10.7.5+dfsg-3) experimental; urgency=medium

  * Relax ruby version check (2.3.3 includes security fixes)
  * Add gitlab-common binary to handle user creation for gitlab and gitaly
    (Closes: #901310)

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 Jun 2018 10:57:34 +0530

gitlab (10.7.5+dfsg-2) experimental; urgency=medium

  * Bump minimum version of gitlab-workhorse to 4.1.0


