=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,12 @@
 
 override_dh_install:
 	dh_install -XLICENSE
-	uglifyjs -o debian/gitlab/usr/share/gitlab/vendor/assets/javascripts/vue.min.js vendor/assets/javascripts/vue.full.js
-	uglifyjs -o debian/gitlab/usr/share/gitlab/vendor/assets/javascripts/vue-resource.min.js vendor/assets/javascripts/vue-resource.full.js
 	# Make sure we are installing all required files in debian/install
 	sh debian/upstream-file-count-check.sh
 	rm -rf debian/gitlab/usr/share/gitlab/tmp/*
+	rm -rf debian/gitlab/usr/share/gitlab/spec/javascripts/.eslintrc
+	mv debian/gitlab/usr/share/gitlab/app/assets/javascripts/locale \
+	debian/gitlab/usr/share/gitlab/app/assets/javascripts/locale.static
 	mv debian/gitlab/var/lib/gitlab/db/schema.rb debian/gitlab/var/lib/gitlab/db/schema.rb.template
 
 override_dh_installinit:
