=== debian/tests/control ===
Tests: spec
Depends: @, 
  sudo,
  gem2deb-test-runner,
  ruby-rspec,
  ruby-license-finder,
  ruby-shoulda-matchers,
  ruby-webmock,
  ruby-simplecov,
  ruby-factory-girl-rails, 
  ruby-rspec-rails,
  ruby-rspec-retry,
  ruby-capybara,
  ruby-poltergeist,
  ruby-capybara-screenshot,
  ruby-awesome-print,
  ruby-fuubar,
  ruby-database-cleaner,
  ruby-email-spec,
  ruby-ffaker,
  ruby-json-schema,
  ruby-sham-rack,
  ruby-timecop,
  phantomjs
Restrictions: needs-root
